﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            SetRowstoGenerate (100);
        }

        #region ItemsSource

		private ObservableCollection<OrderInfo> ordersInfo;

		public ObservableCollection<OrderInfo> OrdersInfo {
			get { return ordersInfo; }
			set { this.ordersInfo = value; }
		}

		#endregion

		#region ItemSource Generator

		public void SetRowstoGenerate (int count)
		{
			OrderInfoRepository order = new OrderInfoRepository ();
			ordersInfo = order.GetOrderDetails (count);
		}

		#endregion

        #region INotifyPropertyChanged implementation

		public event PropertyChangedEventHandler PropertyChanged;

		public void RaisePropertyChanged (string propertyName)
		{
			if (PropertyChanged != null)
				this.PropertyChanged (this, new PropertyChangedEventArgs (propertyName));
		}

		#endregion
    }
}
